Bug 1012045 - Copy & paste of multiple elements in BPMN2 modeler ends in broken bpmn2 definition (engine parser throws NPE)
Copy & paste of multiple elements in BPMN2 modeler ends in broken bpmn2 defin...
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: 6.0.0
Assigned To: Robert (Bob) Brodt
Jiri Svitak
Depends On:
  Show dependency treegraph
Reported: 2013-09-25 11:27 EDT by Jiri Svitak
Modified: 2015-06-01 21:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:12:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
test (13.11 KB, text/plain)
2013-09-25 11:27 EDT, Jiri Svitak
no flags Details
ParallelGatewayTenTimes.bpmn2 (47.33 KB, text/plain)
2013-09-25 11:29 EDT, Jiri Svitak
no flags Details

  None (edit)
Description Jiri Svitak 2013-09-25 11:27:43 EDT
Created attachment 802922 [details]

Copy & paste of multiple elements in BPMN2 modeler ends in broken bpmn2 definition. Engine throws NPE, see the attached test log.

To reproduce problem, use the attached corrupted process definition. It is a large process definition. It was created using several copy&pastes of 'parallel gateway blocks'. I think that editor should never save broken process definition files.
Comment 1 Jiri Svitak 2013-09-25 11:29:54 EDT
Created attachment 802924 [details]

Attaching corrupted .bpmn2 file created by BPMN2 eclipse modeler. I forgot to mention that I used BPMN2 Editor of version, target runtime 'jbpm5'.
Comment 2 Kris Verlaenen 2013-09-26 08:28:15 EDT
Bob, it seems a lot of sequence flows without sourceRef and/or targetRef are generated in the BPMN2 XML.
Comment 3 Jiri Svitak 2013-11-12 07:56:48 EST
Verified in BPMN2 Editor, JBDS 7.0.1.GA (Build id: GA-v20130930-2238-B7).
Comment 4 Lukáš Petrovický 2014-02-07 11:15:55 EST
This BZ has been part of the 6.0.0 stream.

Note You need to log in before you can comment on or make changes to this bug.